Loading...
Searching...
No Matches
epsimage.hpp File Reference

EPS image.
References:
[1] Adobe PostScript Language Document Structuring Conventions Specification, Version 3.0, September 1992
[2] Adobe Encapsulated PostScript File Format Specification, Version 3.0, May 1992
[3] Adobe XMP Specification Part 3: Storage in Files, July 2010
[4] Re: Thumbnail data format in ai file, Dec 2003. More...

`#include "exiv2lib_export.h"`
`#include "image.hpp"`

Go to the source code of this file.

## Classes

class | Exiv2::EpsImage
| Class to access EPS images. More...

## Namespaces

namespace | Exiv2
| Provides classes and functions to encode and decode Exif and Iptc data. The libexiv2 API consists of the objects of this namespace.
namespace | Exiv2::ImageType
| Supported image formats.

## Functions

EXIV2LIB_DEPRECATED_EXPORT Image::AutoPtr | Exiv2::newEpsInstance (BasicIo::AutoPtr io, bool create)
| Create a new EpsImage instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
EXIV2LIB_DEPRECATED_EXPORT bool | Exiv2::isEpsType (BasicIo &iIo, bool advance)
| Check if the file iIo is a EPS image.

## Variables

const int | Exiv2::ImageType::eps = 18
| EPS image type.

## Detailed Description

EPS image.
References:
[1] Adobe PostScript Language Document Structuring Conventions Specification, Version 3.0, September 1992
[2] Adobe Encapsulated PostScript File Format Specification, Version 3.0, May 1992
[3] Adobe XMP Specification Part 3: Storage in Files, July 2010
[4] Re: Thumbnail data format in ai file, Dec 2003.

Author
  Michael Ulbrich (mul) mul@rentapacs.de
  Volker Grabsch (vog) vog@notjusthosting.com

Date
  7-Mar-2011, vog: created